org.h2.jdbc

## Class JdbcSQLTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.SQLTransientException
        - - java.sql.SQLTimeoutException
          - - org.h2.jdbc.JdbcSQLTimeoutException

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<java.lang.Throwable>, JdbcException

    public final class JdbcSQLTimeoutException
    extends java.sql.SQLTimeoutException
    implements JdbcException

Represents a database exception.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JdbcSQLTimeoutException(java.lang.String message, java.lang.String sql, java.lang.String state, int errorCode, java.lang.Throwable cause, java.lang.String stackTrace)` Creates a SQLTimeoutException.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMessage()`
`java.lang.String` `getOriginalMessage()` INTERNAL
`java.lang.String` `getSQL()` Returns the SQL statement.
`void` `printStackTrace(java.io.PrintStream s)`
`void` `printStackTrace(java.io.PrintWriter s)`
`void` `setSQL(java.lang.String sql)` INTERNAL
`java.lang.String` `toString()` Returns the class name, the message, and in the server mode, the stack trace of the server

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.jdbc.JdbcException

`getErrorCode`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### JdbcSQLTimeoutException

    public JdbcSQLTimeoutException(java.lang.String message,
                                   java.lang.String sql,
                                   java.lang.String state,
                                   int errorCode,
                                   java.lang.Throwable cause,
                                   java.lang.String stackTrace)

Creates a SQLTimeoutException.

Parameters:
  `message` - the reason
  `sql` - the SQL statement
  `state` - the SQL state
  `errorCode` - the error code
  `cause` - the exception that was the reason for this exception
  `stackTrace` - the stack trace

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Overrides:
  `getMessage` in class `java.lang.Throwable`

#### getOriginalMessage

    public java.lang.String getOriginalMessage()

Description copied from interface: `JdbcException`
INTERNAL

Specified by:
  `getOriginalMessage` in interface `JdbcException`
Returns:
  original message

#### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

Overrides:
  `printStackTrace` in class `java.lang.Throwable`

#### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

Overrides:
  `printStackTrace` in class `java.lang.Throwable`

#### getSQL

    public java.lang.String getSQL()

Description copied from interface: `JdbcException`
Returns the SQL statement.

SQL statements that contain '--hide--' are not listed.

Specified by:
  `getSQL` in interface `JdbcException`
Returns:
  the SQL statement

#### setSQL

    public void setSQL(java.lang.String sql)

Description copied from interface: `JdbcException`
INTERNAL

Specified by:
  `setSQL` in interface `JdbcException`
Parameters:
  `sql` - to set

#### toString

    public java.lang.String toString()

Description copied from interface: `JdbcException`
Returns the class name, the message, and in the server mode, the stack trace of the server

Specified by:
  `toString` in interface `JdbcException`
Overrides:
  `toString` in class `java.lang.Throwable`
Returns:
  the string representation